#!/bin/sh
STORAGE_KEY = "KEYHERE"
STORAGE_SECRET = "SECRETHERE"
STORAGE_NAME = "NAMEHERE"

########################### ADD STORAGE   ####################################
apt-get install -y s3fs
echo "$STORAGE_KEY:$STORAGE_SECRET" > /root/.passwd-s3fs
chmod 600 /root/.passwd-s3fs

mkdir -p /mnt/storage01
mkdir -p /mnt/storage01/published

# Creating FSTAB backup
cp /etc/fstab /etc/fstab.bak

# Adding Storate to FSTAB
echo "s3fs#$STORAGE_NAME /mnt/storage01 fuse allow_other,use_path_request_style,passwd_file=/root/.passwd-s3fs,_netdev,nosuid,uid=1000,gid=1000,nodev,url=https://nyc3.digitaloceanspaces.com 0 0" >> /etc/fstab

mount -a

########################### SHARED VOLUME ####################################
# Create the spool directory for recording transfer from BigBlueButton
ln -s /mnt/storage01/spool /mnt/scalelite-recordings/var/bigbluebutton
chown -h 1000:1000 /mnt/scalelite-recordings/var/bigbluebutton/spool
chmod 0775 /mnt/scalelite-recordings/var/bigbluebutton/spool

# Create the temporary (working) directory for recording import
mkdir -p /mnt/scalelite-recordings/var/bigbluebutton/recording/scalelite
chown 1000:1000 /mnt/scalelite-recordings/var/bigbluebutton/recording/scalelite
chmod 0775 /mnt/scalelite-recordings/var/bigbluebutton/recording/scalelite

# Create the directory for published recordings
ln -s /mnt/storage01/published /mnt/scalelite-recordings/var/bigbluebutton/published
chown -h 1000:1000 /mnt/scalelite-recordings/var/bigbluebutton/published
chmod 0775 /mnt/scalelite-recordings/var/bigbluebutton/published

# Create the directory for unpublished recordings
mkdir -p /mnt/scalelite-recordings/var/bigbluebutton/unpublished
chown 1000:1000 /mnt/scalelite-recordings/var/bigbluebutton/unpublished
chmod 0775 /mnt/scalelite-recordings/var/bigbluebutton/unpublished

########################### REPO CLONING ####################################

git clone http://git.bluekitsune.com/bluekitsune-public/scalelite-run.git
cd scalelite-run
docker-compose up -d

